# g'scheid schlau 2021
# Das Lange Wochenende der Wissenschaften online
# Raspberry Pi Pico-Workshop am 23. Oktober 2021
# https://www.oth-aw.de/schaefer-ulrich/pico/

import utime
from machine import ADC, RTC

tempsensor = ADC(ADC.CORE_TEMP)

def Temperatur():
  messwert = tempsensor.read_u16() * 3.3 / 65535
  temp = 27 - (messwert - 0.706)/0.001721
  return temp

# format-Doku:  https://pyformat.info/ 
ZEITFORMAT = "{}-{:02d}-{:02d} {:02d}:{:02d}:{:02d} " # Jahr-Monat-Tag Stunde:Min:Sek

def Zeit():
  t = RTC().datetime()
  return ZEITFORMAT.format(t[0],t[1],t[2],t[4],t[5],t[6])

file = open("Temperaturen.txt", "w")

for i in range(5):
  file.write("{:s} {:3.2f}\n".format(Zeit(), Temperatur()))
  file.flush()
  utime.sleep(2) # 2 Sekunden warten

file.close()

file = open("Temperaturen.txt")
print(file.read())
file.close()