# g'scheid schlau 2021
# Das Lange Wochenende der Wissenschaften online
# Raspberry Pi Pico-Workshop am 23. Oktober 2021
# https://www.oth-aw.de/schaefer-ulrich/pico/

import utime
from machine import Pin, I2C, ADC, RTC
from ssd1306 import SSD1306_I2C   # ssd1306

i2c=I2C(0, sda=Pin(0), scl= Pin(1), freq=400000)
oled = SSD1306_I2C(64, 48, i2c)     # bei 64 x 48 Punkt-Display 

tempsensor = ADC(ADC.CORE_TEMP)

def Temperatur():
  messwert = tempsensor.read_u16() * 3.3 / 65535
  temp = 27 - (messwert - 0.706)/0.001721
  return temp

# format-Doku:  https://pyformat.info/ 
ZEITFORMAT = "{}-{:02d}-{:02d} {:02d}:{:02d}:{:02d} " # Jahr-Monat-Tag Stunde:Min:Sek

def Zeit():
  t = RTC().datetime()
  return ZEITFORMAT.format(t[0],t[1],t[2],t[4],t[5],t[6])

while True:
  oled.fill(0);
  oled.text(Zeit()[2:11], 0, 0)
  oled.text(Zeit()[11:], 0, 20)
  oled.text("{:3.2f} ^C".format(Temperatur()), 0, 40)
  oled.show()
  utime.sleep(1)
